If loop is not working


 
Thread Tools Search this Thread
Top Forums UNIX for Advanced & Expert Users If loop is not working
# 8  
Old 08-16-2008
ahhhhh..... i got you era. it simplified the whole thing.. i wasn't aware of -p optionSmilie.. now i can cut short my script at many places.Smilie
# 9  
Old 08-18-2008
is the following way is the right to check a file in a folder and if file not in the folder copy from the repositry.
cd /var/lib
ls -l libstdc++.so.5 >>/dev/null
if [ $? -ne 0 ]
then
cp repository path
echo "new file copied......"
fi
# 10  
Old 08-18-2008
Not really, no. Using ls and redirecting to /dev/null is not particularly elegant (and using the -l option to then just throw away the results is rather wasteful).

Code:
test -e /var/lib/libstdc++.so.5 || cp -v repository path

The || is a shorthand for "or else". The following is closer to what you have:

Code:
if ! [ -e /var/lib/libstdc++.so.5 ]
then
  cp repository path
  echo "new file copied" >&2
fi

Note that test and [ are really basically the same command.
# 11  
Old 08-18-2008
thank you so much era,Smilie. surely u gonna take me one step ahead from a beginer.Smilie
# 12  
Old 08-20-2008
if i run a command, suppose # ./createreg -new /opt/server1
now if i have to test in script wather it executed sucsessfully, Like
./createreg -new /opt/server1
if true
do next step
else
exit the script
fi

now in my script i am doing like this
./createreg -new /opt/server1
if [ $? != 0 ] ; then echo "Instalation Error ........... Exit 127 " ; exit 1
else
proceed
fi

Please guide if it is a right way to do it
# 13  
Old 08-20-2008
Use -ne for an integer comparison:

Code:
if [ $? -ne 0 ]

Regards
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

For-loop not working

Hello all, I would like to unzip some files with a for-loop. Is there anyone who could tell me how I should do this - in a correct way? for file in $(ls); do echo gzip -d < $file | tar xf -; done The problem is the pipe - I believe. But how could I do it? I need it for the command... (4 Replies)
Discussion started by: API
4 Replies

2. UNIX for Dummies Questions & Answers

for loop not working

Hi, I have ten different files to extract. so I thought for loop will help me. but it's not working for me. Please advice what I am doing wrong. for INCI in 1 2 3 4 5 6 7 8 9 10 do tar -xvf Update_INCI11.10.002_lnx86_1of10.tar done second file name is... (3 Replies)
Discussion started by: samnyc
3 Replies

3. Programming

C While Loop not working like C++

Hi new to C give me a hand thank. do { bzero(input,256); printf("Please enter the country name!"); scanf("%s",input); //& character is essential for scanf(), %f = float, %399s as the last character to be the null character ('\0'). } while... (5 Replies)
Discussion started by: GQiang
5 Replies

4. Shell Programming and Scripting

For loop not working

Hi All, For loop in ksh not working if it was given in the following method. simple script: for i in {1..4} do echo $i done Output: {1..4} Even below also not working :( Script: for (( c=1; c<=5; c++ )) do echo "Welcome $c times..." done Output: ./x.sh: 0403-057 Syntax error... (13 Replies)
Discussion started by: girish_satyam
13 Replies

5. Shell Programming and Scripting

while loop not working

hi everyone i am facing a very strange problem . please help me why my while loop is not working. below is my code #!/bin/ksh file=RCMC_ABC_999_080924_210813.DAR echo ${file} value=001 count=10 echo "abc" echo ${count} value=$((${value} + 1 )) echo ${value} while ] do echo... (3 Replies)
Discussion started by: aishsimplesweet
3 Replies

6. Shell Programming and Scripting

While loop not working

here we go.. While loop is not working file.. It also invokes one more shell scripts for which parameters need to passed on. while read line do #### #### We want to have a logfile for each load #### PLog="${LogDir}/${Script}.log"; #### ... (5 Replies)
Discussion started by: premkumardr
5 Replies

7. UNIX for Dummies Questions & Answers

If then else loop not working

If then else segment of below code is not working. For each filename code is displaying output for if part as well as else part. Please help its urgent. for usercusttop in `echo ${filename}|sort|uniq|cut -c 1-${actualwordcount}` do ... (2 Replies)
Discussion started by: findprakash
2 Replies

8. Shell Programming and Scripting

For loop not working...! :(

Could some one help me on this... For loop is working...! for x in $i do for y in $j do z=`echo $y | awk '{print $2}'` if then FS=`/usr/bin/echo $y` echo $FS >>$Basic_location/out.csv fi done CPRT="Cpoyright @ BTOIDCIM" done (3 Replies)
Discussion started by: bullz26
3 Replies

9. Shell Programming and Scripting

if loop is not working

Hello i am trying to remove a line using an input file , but this depends upon user interaction here is the sample #!/bin/sh echo "Please enter whether you want to remove Profile" read value1 if ;then sed /movie/d temp.txt> temp3.txt else echo "Script didnot remove profile" fi ... (3 Replies)
Discussion started by: ranga27
3 Replies

10. Shell Programming and Scripting

Loop not working

Apologize if this is doesn't come under this group. I have a small script to find out users who last logged in to check there mail. (Tru 64 4.0, Netscape mail 3.6) -----> cat $1|awk -F: '$2=="SMTP-Accept" && $5~/@maildomain/ {s=$5;u++;las=substr($1)} END {for (i in u) {print... (2 Replies)
Discussion started by: nitin
2 Replies
Login or Register to Ask a Question